Get catalog filter options
curl --request GET \
--url https://api.getprimo.com/catalog/{countryCode}/filter-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprimo.com/catalog/{countryCode}/filter-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprimo.com/catalog/{countryCode}/filter-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"brands": [
"<string>"
],
"ram": [
"<string>"
],
"storage": [
"<string>"
],
"screenSize": [
"<string>"
],
"processor": [
"<string>"
],
"resolution": [
"<string>"
],
"position": [
"<string>"
]
}
}Catalog
Get catalog filter options
Return the available filter option values (brands, ram, storage, screen size, processor, resolution, position) for a country, optionally narrowed to specific product types.
GET
/
catalog
/
{countryCode}
/
filter-options
Get catalog filter options
Key: Read
Scope: Company
Authorizations
Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Path Parameters
Query Parameters
Comma-separated product types, e.g. laptop,monitor
Response
default - application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I